bzr bd -S --package-merge on e2fsprogs 1.42~WIP-2011-10-09-1ubuntu1 generates a .changes file recording the birth of the universe

Bug #876888 reported by Steve Langasek
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
bzr-builddeb
High
Andrew Starr-Bochicchio
bzr-builddeb (Ubuntu)
High
Andrew Starr-Bochicchio
Oneiric
High
Andrew Starr-Bochicchio

Bug Description

The --package-merge option should detect the last time the package was merged into Ubuntu, and pass an appropriate -v option to dpkg-buildpackage. Instead, when run against lp:ubuntu/e2fsprogs for package version 1.42~WIP-2011-10-09-1ubuntu1, it spits out these errors:

parsechangelog/debian: warning: 'since' option specifies non-existing version
parsechangelog/debian: warning: use newest entry that is earlier than the one specified
parsechangelog/debian: warning: none found, starting from the oldest entry

and the resulting .changes includes all the changelog entries back to THE DAWN OF TIME.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: bzr-builddeb 2.7.8
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Mon Oct 17 14:41:31 2011
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: bzr-builddeb
UpgradeStatus: Upgraded to oneiric on 2011-09-23 (23 days ago)

Revision history for this message
Steve Langasek (vorlon) wrote :
Changed in bzr-builddeb (Ubuntu):
importance: Undecided → Medium
James Westby (james-w)
description: updated
Revision history for this message
James Westby (james-w) wrote :

Oops:

UBUNTU_RELEASES = ('warty', 'hoary', 'breezy', 'dapper', 'edgy',
        'feisty', 'gutsy', 'hardy', 'intrepid', 'jaunty', 'karmic',
        'lucid', 'maverick', 'natty', "oneiric")

Would be really nice to get rid of that.

Thanks,

James

Changed in bzr-builddeb (Ubuntu):
importance: Medium → High
status: New → Triaged
Revision history for this message
James Westby (james-w) wrote :

Making use of distro-info would at least stop having to modify the code here, if we can't avoid
needing the information.

Thanks,

James

Revision history for this message
Barry Warsaw (barry) wrote :

Same thing happened to me with merging boost1.46 and I've seen it with a few other packages. Seems like --package-merge can't really calculate the starting version correctly.

Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote :

I've tested and indeed adding precise to the list of Ubuntu releases resolves the problem for me. I've proposed a merge to use distro-info to resolve this in trunk. I'll be uploading shortly a package to oneiric-proposed just adding it to the list manually. I think it's best to not add a new dependency for a SRU.

Changed in bzr-builddeb (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
status: In Progress → Triaged
Changed in bzr-builddeb (Ubuntu Oneiric):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Changed in bzr-builddeb (Ubuntu):
assignee: Andrew Starr-Bochicchio (andrewsomething) → nobody
Changed in bzr-builddeb (Ubuntu Oneiric):
milestone: none → oneiric-updates
Changed in bzr-builddeb:
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
status: New → Fix Committed
Revision history for this message
Steve Langasek (vorlon) wrote :

The package uploaded to oneiric-proposed is based on bzr-builddeb 2.7.9, where oneiric ships with 2.7.8. Was this an oversight?

Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote :

Ug. It sure was. Thanks for catching that Steve. Please reject it.

Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Hello Steve, or anyone else affected,

Accepted bzr-builddeb into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in bzr-builddeb (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Steve Langasek (vorlon) wrote :

confirmed that the package in oneiric-proposed successfully spits out the -v option that we need.

tags: added: verification-done
removed: verification-needed
Changed in bzr-builddeb (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr-builddeb - 2.7.9ubuntu1

---------------
bzr-builddeb (2.7.9ubuntu1) precise; urgency=low

  * Forward port fix for LP: #876888 from oneric-proposed:
   - util.py: Add precise to list of Ubuntu releases.
 -- Andrew Starr-Bochicchio <email address hidden> Fri, 04 Nov 2011 17:07:10 -0400

Changed in bzr-builddeb (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr-builddeb - 2.7.8ubuntu0.1

---------------
bzr-builddeb (2.7.8ubuntu0.1) oneiric-proposed; urgency=low

  * util.py: Add precise to list of Ubuntu releases (LP: #876888).
 -- Andrew Starr-Bochicchio <email address hidden> Fri, 28 Oct 2011 12:51:24 -0400

Changed in bzr-builddeb (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Jelmer Vernooij (jelmer)
Changed in bzr-builddeb:
importance: Undecided → High
Jelmer Vernooij (jelmer)
Changed in bzr-builddeb:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers